LDEXP(3)

NAME
ldexp, ldexpf - load exponent

SYNOPSIS

#include <math.h>

double ldexp(double val, int exp);

float ldexpf(float val, int exp);

DESCRIPTION

ldexp calculates the value val times 2 to the power exp. ldexpf is identical, save that it takes and returns float rather than double values.

RETURNS

ldexp returns the calculated value.

Underflow and overflow both set errno to ERANGE. On underflow, ldexp and ldexpf return 0.0. On overflow, ldexp returns plus or minus HUGE_VAL.

PORTABILITY

ldexp is ANSI. ldexpf is an extension.